import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Specifies a runtime environment for a given runtime engine.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-m2-environment.html">the AWS Docs</a>
*/
export function environment(environmentProps) {
    return new AwsResource('AWS::M2::Environment', environmentProps, { EnvironmentId: 'EnvironmentId', EnvironmentArn: 'EnvironmentArn' });
}
